return {
	'gsuuon/model.nvim',
	cmd = { 'Model', 'Mchat' },
	init = function()
		vim.filetype.add({ extension = { mchat = "mchat" } })
	end,
	ft = "mchat",
	keys = { { "<C-m><space>", ":Mchat<cr>", mode = "n" } },
	config = function()
		local ollama = require("model.providers.ollama")
		require("model").setup({
			hl_group = "Comment",
			chats = {
				deepseek = {
					provider = ollama,
					params = {
						model = "deepseek-r1:14b"
					},
					create = function(input, context)
						return {
							system = "You are a helpful assistant.", -- Instrucción del sistema
							messages = {
								{ role = "user", content = input }
							}
						}
					end,
					run = function(messages, config)
						return {
							model = "deepseek-r1:14b",
							messages = messages
						}
					end
				}
			}
		})
	end,
}
